Warning message during yum command run

Solution In Progress - Updated -

Issue

  • After installing the python3-dateutil package from RHOSP 15 repo this warning message has occurred:
[root@undercloud-01 ~]# yum info python3-dateutil
Updating Subscription Management repositories.
Unable to read consumer identity
/usr/lib/python3.6/site-packages/dateutil/parser/_parser.py:70: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  instream = instream.decode()
  • Installed Packages
Name         : python3-dateutil
Epoch        : 1
Version      : 2.8.0
Release      : 1.el8ost
Architecture : noarch
Size         : 761 k
Source       : python-dateutil-2.8.0-1.el8ost.src.rpm
Repository   : @System
From repo    : rhel-8-server-openstack-15-rpms
Summary      : Powerful extensions to the standard datetime module
URL          : https://github.com/dateutil/dateutil
License      : BSD
Description  : The dateutil module provides powerful extensions to the standard datetime
             : module available in Python.

Environment

  • Red Hat Enterprise Linux 8.1 (RHEL)
  • Red Hat OpenStack Platform 15.0 (RHOSP)

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In